# Uses of Interface
org.eclipse.emf.cdo.spi.common.model.InternalCDOClassInfo

Packages that use InternalCDOClassInfo
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOClassInfo in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDOClassInfo
Modifier and Type
Method
Description
`final InternalCDOClassInfo`
AbstractCDORevision.`getClassInfo()`
`InternalCDOClassInfo`
DelegatingCDORevision.`getClassInfo()`
`InternalCDOClassInfo`
InternalCDORevision.`getClassInfo()`
Constructors in org.eclipse.emf.cdo.spi.common.revision with parameters of type InternalCDOClassInfo
Modifier
Constructor
Description
`protected`
`AbstractCDORevision(InternalCDOClassInfo classInfo)`
`protected`
`StubCDORevision(InternalCDOClassInfo classInfo)`

## Uses of InternalCDOClassInfo in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return InternalCDOClassInfo
Modifier and Type
Method
Description
`final InternalCDOClassInfo`
CDOObjectImpl.`cdoClassInfo()`

## Uses of InternalCDOClassInfo in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOClassInfo
Modifier and Type
Method
Description
`InternalCDOClassInfo`
InternalCDOObject.`cdoClassInfo()`